Skip to content

Get media metadata

GET
/media/{id}/metadata
curl --request GET \
--url https://api.colourbox.com/media/1/metadata \
--header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'

Get media metadata sub-document.

id
required
integer

Success

Media typeapplication/json
object
iptc

The IPTC data embedded in the file, as extracted by exiftool

object
CopyrightNotice
string
CodedCharacterSet
string
ApplicationRecordVersion
integer
EnvelopeRecordVersion
integer
Keywords
Array<string>
camera_created

The time the picture was taken as a UNIX timestamp

integer
nullable
geolocation
object
source
string
Allowed values: lookup gps
longitude
string
latitude
string
description

A short description of the media

object
en
string
de
string
da
string
keywords

Keywords on the media

object
en
Array<string>
editorial

Is the media considered editorial

boolean
adult_content

Is the media considerede adult content

boolean
title

The title of the media

object
da
string
en
string
de
string

Example

{
"iptc": {
"CopyrightNotice": "Jacob Hansen",
"CodedCharacterSet": "\\u001b%G",
"ApplicationRecordVersion": 4,
"EnvelopeRecordVersion": 4,
"Keywords": [
"boy",
"combine",
"harvester",
"spring"
]
},
"camera_created": 1407256925,
"geolocation": {
"source": "gps",
"longitude": "11.5062",
"latitude": "52.4242"
},
"description": {
"en": "Boy sitting in the front of the cab in a combine harvester",
"de": "",
"da": ""
},
"keywords": {
"en": [
"boy",
"combine",
"harvester",
"grain",
"summer"
]
},
"editorial": false,
"adult_content": false,
"title": {
"en": "Boy in combine harvester",
"de": "",
"da": ""
}
}